library disposable_test;

import 'dart:async';
import 'dart:io';
import 'dart:isolate';

import 'package:unittest/unittest.dart';
import 'package:disposable/disposable.dart';

part 'src/async_disposable_test.dart';
part 'src/composite_disposable_test.dart';
part 'src/disposable_test.dart';
part 'src/using_test.dart';
part 'src/using_async_test.dart';

main() {
  async_disposable_tests();
  composite_disposable_tests();
  disposable_tests();
  using_tests();
  using_async_tests();
}