part of disposable;

/*
 * Marks a class which contains references that should be cleaned up after their use
 */
abstract class IDisposable {
  /*
   * Should be false while disposable is still active and true once it has been disposed
   */
  bool get isDisposed;
  /*
   *  Triggers cleanup on the target disposable
   */
  void dispose();
}